Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.extensions
Class PSSetupCode

    java.lang.Object
      org.apache.fop.render.ps.extensions.PSExtensionAttachment
          org.apache.fop.render.ps.extensions.PSSetupCode

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class PSSetupCode

extends PSExtensionAttachment

This is the pass-through value object for the PostScript extension.

Field Summary
`protected static java.lang.String` | `ELEMENT` element name
`protected java.lang.String` | `name` name attribute

Fields inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment
`CATEGORY, content`

Constructor Summary
`PSSetupCode()` No-argument contructor.
`PSSetupCode(java.lang.String name, java.lang.String content)` Default constructor.

Method Summary
`java.lang.String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`protected java.lang.String` | `getElement()`
`java.lang.String` | `getName()`
`void` | `setName(java.lang.String name)` Sets the name of the setup code object.
`void` | `toSAX(org.xml.sax.ContentHandler handler)` Generates SAX events representing the object's state.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment
`getContent, getType, setContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT

    protected static final java.lang.String ELEMENT

  element name

  See Also:
    Constant Field Values

### name

    protected java.lang.String name

  name attribute

Constructor Detail

### PSSetupCode

    public PSSetupCode()

  No-argument contructor.

### PSSetupCode

    public PSSetupCode(java.lang.String name,
                       java.lang.String content)

  Default constructor.

  Parameters:
    `name` - the name of the setup code object, may be null
    `content` - the content of the setup code object

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Sets the name of the setup code object.

  Parameters:
    `name` - The name to set.

### getCategory

    public java.lang.String getCategory()

  This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

  Specified by:
    `getCategory` in interface `ExtensionAttachment`
  Overrides:
    `getCategory` in class `PSExtensionAttachment`
  Returns:
    the category URI
  See Also:
    `ExtensionAttachment.getCategory()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PSExtensionAttachment`
  Returns:
    a string representation of this object
  See Also:
    `Object.toString()`

### getElement

    protected java.lang.String getElement()

  Specified by:
    `getElement` in class `PSExtensionAttachment`
  Returns:
    the element name
  See Also:
    `PSExtensionAttachment.getElement()`

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Generates SAX events representing the object's state.

  Specified by:
    `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
  Overrides:
    `toSAX` in class `PSExtensionAttachment`
  Parameters:
    `handler` - ContentHandler instance to send the SAX events to
  Throws:
    `org.xml.sax.SAXException` - if there's a problem generating the SAX events
  See Also:
    `XMLizable.toSAX(org.xml.sax.ContentHandler)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.